This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 245299 - Pollution of users' home directories
Pollution of users' home directories
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 05:19 EDT by Olaf Fraczyk
Modified: 2015-03-03 17:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Olaf Fraczyk 2007-06-22 05:19:08 EDT
Description of problem:
Additional directories are added to the home directory.
User is not presented with an easy way to get rid of them.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Login in gnome
2. open home directory
3.
  
Actual results:
New directories created in home directory

Expected results:
No directories :) - In my opinion of course.
Could be an installation option.

Additional info:
If you really feel that this is necessary, it would be wiser to put them in
Desktop directory. Even better to group them there as "My_Folders" or something.
So we would end with:
$HOME/Desktop/My_Folders/Documents
$HOME/Desktop/My_Folders/Videos
$HOME/Desktop/My_Folders/Music etc.

Putting them on the Desktop will make it more accessibe for "desktop users",
will less annoy "more advanced users". This is similar in a way with Evolution
putting it's folder without the leading dot in home directory in the past.
Comment 1 Andre Robatino 2007-06-22 05:42:59 EDT
  I agree with this.  If users could count on standard $HOME directories always
being dotfiles, it would be easy to avoid collisions with them when restoring
from backups (as when doing a clean install).  I don't see why it was necessary
to have even a single non-dotfile directory "Desktop" in past versions.
Comment 2 Bert DeKnuydt 2007-06-22 07:43:10 EDT
I didn't want this neither, but luckily,y ou can switch off this
'feature' like this:

  sed -i 's/enabled=True/enabled=False/' /etc/xdg/user-dirs.conf

Maybe shipping with enable=False is a solution?
Comment 3 Zing 2007-11-13 15:53:56 EST
Totally agree with Bug Reporter.

Since ~/Desktop was forced onto us, the default xdg-user-dirs should be rooted
into that tree, NOT my $HOME.  The number of default directories seem to have
grown from F7 too, polluting up the $HOME dir?

The defaults annoy me so much that I need to say "me 2".  Stick these dirs into
~/Desktop for the newbies please.  
Comment 4 Bug Zapper 2008-05-14 09:15:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:41:27 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.